<template>
  <div class="user-avatar">
    <span v-if="avatarUrl" class="icon avatar__image_wrapper">
      <img width="80" height="80" :src="avatarUrl" :alt="user_name" />
    </span>

    <span v-else class="icon avatar__image_wrapper">
      <svg
        class="avatar__svg"
        role="img"
        xmlns="http://www.w3.org/2000/svg"
        width="80"
        height="80"
        viewBox="0 0 24 24"
        aria-labelledby="personIconTitle personIconDesc"
      >
        <title id="personIconTitle">Person</title>
        <desc id="personIconDesc">Icon of a person's portrait</desc>
        <path
          d="M4,20 C4,17 8,17 10,15 C11,14 8,14 8,9 C8,5.667 9.333,4 12,4 C14.667,4 16,5.667 16,9 C16,14 13,14 14,15 C16,17 20,17 20,20"
        />
      </svg>
    </span>
    <div v-if="userName" class="avatar__name">{{ userName }}</div>
    <div v-else class="avatar__name avatar__name--anonymous">Anonymous User</div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";

@Component
export default class AUserAvatar extends Vue {
  @Prop() userName!: string;
  @Prop() avatarUrl!: string;
}
</script>

<style lang="scss" scoped>
.user-avatar {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.avatar {
  &__image_wrapper {
    border-radius: 50%;
    overflow: hidden;
    background-color: $white;
    height: 100px;
    width: 100px;
  }

  &__svg {
    stroke: $blue;
    stroke-width: 1.5;
    stroke-linecap: square;
    stroke-linejoin: miter;
    fill: none;
    color: $blue;
  }

  &__name {
    margin-top: 15px;
    &--anonymous {
      font-style: italic;
    }
  }
}
</style>
